Issue1968

classification
Title: Fixes for test_csv.py
Type: Severity: normal
Components: Library Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: fwierzbicki, jupake
Priority: normal Keywords: patch

Created on 2012-09-01.14:29:16 by jupake, last changed 2013-02-05.19:33:25 by fwierzbicki.

Files
File name Uploaded Description Edit Remove
jython_test_csv_fixes.patch jupake, 2012-09-01.14:29:14
Messages
msg7451 (view) Author: Julian Kennedy (jupake) Date: 2012-09-01.14:29:14
I took a stab at fixing some of the failing tests againt the 2.7 branch. This is for the csv module.
msg7454 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-09-07.17:57:12
Thanks for the patch Julian! I will have a look at it soon.
msg7621 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-02-05.19:32:43
Patch applied in http://hg.python.org/jython/rev/faf635092bdb

Note: I was able to delete test_csv altogether, as it looks like the IO issue is fixed. Also, I specifically checked for PyFile.class instead of making a list, as CPython 3.x fixes Float.__str__ instead and eliminates the check (so now there is less to delete in 3.x).
msg7622 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-02-05.19:33:06
Oh yeah, and thanks for the analysis and patch Julian!
History
Date User Action Args
2013-02-05 19:33:25fwierzbickisetstatus: open -> closed
priority: normal
resolution: fixed
2013-02-05 19:33:06fwierzbickisetmessages: + msg7622
2013-02-05 19:32:43fwierzbickisetmessages: + msg7621
2012-09-07 17:57:13fwierzbickisetassignee: fwierzbicki
messages: + msg7454
nosy: + fwierzbicki
2012-09-01 14:29:16jupakecreate